=== debian/changelog ===
vdirsyncer (0.14.0-3) unstable; urgency=medium

  * d/patches: Direct users to Debian BTS to avoid bothering upstream with
    bugs against old versions

 -- Filip Pytloun <filip@pytloun.cz>  Thu, 05 Jan 2017 10:30:17 +0100

vdirsyncer (0.14.0-2) unstable; urgency=medium

  * d/patches: Fix patch fixing tests on slow platforms
  * raise required debhelper version to 10

 -- Filip Pytloun <filip@pytloun.cz>  Mon, 14 Nov 2016 12:07:31 +0100

vdirsyncer (0.14.0-1) unstable; urgency=medium

  * New upstream release (Closes: #842173)
  * d/patches: Rebased for new release

 -- Filip Pytloun <filip@pytloun.cz>  Mon, 31 Oct 2016 14:32:37 +0100

vdirsyncer (0.12.1-1) unstable; urgency=medium

  * new upstream version
  * Fix FTBFS on armhf by disabling HealthCheck.too_slow test

 -- Filip Pytloun <filip@pytloun.cz>  Fri, 09 Sep 2016 10:49:21 +0200

vdirsyncer (0.11.3-1) unstable; urgency=low

  * initial release (Closes: #745027)

 -- Filip Pytloun <filip@pytloun.cz>  Tue, 23 Aug 2016 17:29:54 +0200
