## vdirsyncer 0.14.1

=== debian/changelog ===
vdirsyncer (0.14.1-1+deb9u1) stretch; urgency=medium

  * Backport fix for discovering Google contacts (Closes: #883299)

 -- Filip Pytloun <filip@pytloun.cz>  Mon, 15 Jan 2018 13:37:09 +0100

vdirsyncer (0.14.1-1) unstable; urgency=medium

  * New upstream release
  * d/patches: drop 0005-Direct-users-to-Debian-BTS.patch as upstream docs
    already covers Debian packages

 -- Filip Pytloun <filip@pytloun.cz>  Mon, 27 Mar 2017 09:41:21 +0200
