=== debian/control ===
Source: vdirsyncer
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Filip Pytloun <filip@pytloun.cz>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-exec,
               dh-python (>= 2.20160609~),
               python3-all,
               python3-atomicwrites (>= 0.1.7),
               python3-click (>= 5.0),
               python3-click-log (>= 0.1.3),
               python3-click-threading (>= 0.2),
               python3-hypothesis (>= 3.1),
               python3-lxml,
               python3-pytest,
               python3-pytest-localserver,
               python3-requests (>=2.4.1),
               python3-requests-toolbelt (>= 0.4.0),
               python3-setuptools,
               python3-setuptools-scm,
               python3-sphinx,
               python3-sphinx-rtd-theme
Standards-Version: 3.9.8
Homepage: https://github.com/pimutils/vdirsyncer
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/vdirsyncer/trunk/
Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/vdirsyncer/trunk/

Package: vdirsyncer
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python3-requests-oauthlib
Description: Synchronize calendars and contacts
 Vdirsyncer synchronizes your calendars and addressbooks between two storages.
 The most popular purpose is to synchronize a CalDAV/CardDAV server with a local
 folder or file. The local data can then be accessed via a variety of programs,
 none of which have to know or worry about syncing to a server.
 .
 It aims to be for CalDAV and CardDAV what OfflineIMAP is for IMAP.

Package: vdirsyncer-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Synchronize calendars and contacts - documentation
 Vdirsyncer synchronizes your calendars and addressbooks between two storages.
 The most popular purpose is to synchronize a CalDAV/CardDAV server with a local
 folder or file. The local data can then be accessed via a variety of programs,
 none of which have to know or worry about syncing to a server.
 .
 It aims to be for CalDAV and CardDAV what OfflineIMAP is for IMAP.
 .
 This package contains the documentation for vdirsyncer.
