## vdirsyncer 0.16.0

=== Makefile ===
--- 
+++ 
@@ -2,11 +2,40 @@
 
 export DAV_SERVER := skip
 export REMOTESTORAGE_SERVER := skip
-export RADICALE_BACKEND := filesystem
 export REQUIREMENTS := release
 export TESTSERVER_BASE := ./tests/storage/servers/
 export CI := false
+export COVERAGE := $(CI)
 export DETERMINISTIC_TESTS := false
+export ETESYNC_TESTS := false
+
+CODECOV_PATH = /tmp/codecov.sh
+
+PYTEST_ARGS =
+TEST_EXTRA_PACKAGES =
+ifeq ($(COVERAGE), true)
+	TEST_EXTRA_PACKAGES += pytest-cov
+	PYTEST_ARGS += --cov-config .coveragerc --cov vdirsyncer
+endif
+
+ifeq ($(ETESYNC_TESTS), true)
+	TEST_EXTRA_PACKAGES += git+https://github.com/etesync/journal-manager
+	TEST_EXTRA_PACKAGES += django djangorestframework wsgi_intercept drf-nested-routers
+endif
+
+ifeq ($(CI), true)
+test:
+	curl -s https://codecov.io/bash > $(CODECOV_PATH)
+	py.test $(PYTEST_ARGS) tests/unit/
+	bash $(CODECOV_PATH) -c -F unit
+	py.test $(PYTEST_ARGS) tests/system/
+	bash $(CODECOV_PATH) -c -F system
+	py.test $(PYTEST_ARGS) tests/storage/
+	bash $(CODECOV_PATH) -c -F storage
+else
+test:
+	py.test $(PYTEST_ARGS)
+endif
 
 all:
 	$(error Take a look at https://vdirsyncer.pimutils.org/en/stable/tutorial.html#installation)
@@ -26,24 +55,13 @@
 	set -xe && if [ "$$REQUIREMENTS" = "devel" ]; then \
 		pip install -U --force-reinstall \
 			git+https://github.com/DRMacIver/hypothesis \
+			git+https://github.com/kennethreitz/requests \
 			git+https://github.com/pytest-dev/pytest; \
 	fi
-	[ $(CI) != "true" ] || pip install coverage codecov
-
-test:
-	if [ "$(CI)" = "true" ]; then \
-		coverage run --source=vdirsyncer/ --module pytest; \
-	else \
-		py.test; \
-	fi; \
-	STATUS="$$?"; \
-	set -e; \
-	[ "$(CI)" != "true" ] || codecov; \
-	[ "$(CI)" != "true" ] || scripts/upload-hypothesis-db.sh; \
-	[ "$$STATUS" = "0" ]
+	[ -z "$(TEST_EXTRA_PACKAGES)" ] || pip install $(TEST_EXTRA_PACKAGES)
 
 install-style: install-docs
-	pip install flake8 flake8-import-order flake8-bugbear
+	pip install flake8 flake8-import-order flake8-bugbear>=17.3.0
 	
 style:
 	flake8
@@ -71,16 +89,14 @@
 	python setup.py sdist bdist_wheel upload
 
 install-dev:
-	set -xe && if [ "$$REMOTESTORAGE_SERVER" != "skip" ]; then \
-		pip install -e .[remotestorage]; \
-	else \
-		pip install -e .; \
-	fi
-	set -xe && if [ "$$REQUIREMENTS" = "devel" ]; then \
+	pip install -e .
+	[ "$(REMOTESTORAGE_SERVER)" = "skip" ] || pip install -e .[remotestorage]
+	[ "$(ETESYNC_TESTS)" = "false" ] || pip install -e .[etesync]
+	set -xe && if [ "$(REQUIREMENTS)" = "devel" ]; then \
 	    pip install -U --force-reinstall \
 			git+https://github.com/mitsuhiko/click \
 			git+https://github.com/kennethreitz/requests; \
-	elif [ "$$REQUIREMENTS" = "minimal" ]; then \
+	elif [ "$(REQUIREMENTS)" = "minimal" ]; then \
 		pip install -U --force-reinstall $$(python setup.py --quiet minimal_requirements); \
 	fi
