=== debian/changelog ===
vdirsyncer (0.16.0-3) unstable; urgency=medium

  * Update patch
    0004-Suppress-HealthCheck.too_slow-to-fix-build-on-slow-p.patch:
    use enums rather tan strings to identify health checks to skip.
    Should fix errors about slow data generation on ARM.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 20 Jul 2017 00:37:24 +0000

vdirsyncer (0.16.0-2) unstable; urgency=medium

  * Install upstream changelog. Closes: #867790
  * Add patch 0006-disable-sync.patch: Disable two tests that sometimes
    hang. Closes: #836667

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 19 Jul 2017 01:01:04 +0000

vdirsyncer (0.16.0-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to uploaders.
  * Refresh patches
    + 0001-Don-t-use-subtest.patch
    + 0003-Skip-SSL-tests.patch
    + 0004-Suppress-HealthCheck.too_slow-to-fix-build-on-slow-p.patch
  * d/control: Per upstream, mark as supporting Python >= 3.3.
  * d/rules: Force use of Python3 version of sphinx-build.
  * Bump standards version to 4.0.0 (no changes).

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 03 Jul 2017 00:44:12 +0000
