=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: vdirsyncer
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Uploaders: Filip Pytloun <filip@pytloun.cz>
+Uploaders: Filip Pytloun <filip@pytloun.cz>, Jelmer Vernooĳ <jelmer@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 10),
@@ -21,7 +21,8 @@
                python3-setuptools-scm,
                python3-sphinx,
                python3-sphinx-rtd-theme
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
+X-Python3-Version: >= 3.3
 Homepage: https://github.com/pimutils/vdirsyncer
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/vdirsyncer/trunk/
 Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/vdirsyncer/trunk/
