=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,11 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=$(CURDIR) make -C docs man
+	PYTHONPATH=$(CURDIR) make -C docs man SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. sphinx-build -b html docs $(CURDIR)/debian/vdirsyncer-doc/usr/share/doc/vdirsyncer-doc/html
+	PYTHONPATH=. /usr/share/sphinx/scripts/python3/sphinx-build -b html docs $(CURDIR)/debian/vdirsyncer-doc/usr/share/doc/vdirsyncer-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 	# Remove unwanted license file, we already reference d/copyright
 	rm -f $(CURDIR)/debian/vdirsyncer-doc/usr/share/doc/vdirsyncer-doc/html/_sources/license.txt
@@ -26,3 +26,6 @@
 	DAV_SERVER=skip \
 	RADICALE_BACNEND=filesystem \
 	dh_auto_test
+
+override_dh_installchangelogs:
+	dh_installchangelogs CHANGELOG.rst
