## vdirsyncer 0.16.2

=== Makefile ===
--- 
+++ 
@@ -1,17 +1,32 @@
-# See the documentation on how to run the tests.
+# See the documentation on how to run the tests:
+# https://vdirsyncer.pimutils.org/en/stable/contributing.html
 
+# Which DAV server to run the tests against (radicale, xandikos, skip, owncloud, nextcloud, ...)
 export DAV_SERVER := skip
-export REMOTESTORAGE_SERVER := skip
+
+# release (install release versions of dependencies)
+# development (install development versions of some of vdirsyncer's dependencies)
+# or minimal (install oldest version of each dependency that is supported by vdirsyncer)
 export REQUIREMENTS := release
-export TESTSERVER_BASE := ./tests/storage/servers/
-export CI := false
-export COVERAGE := $(CI)
+
+# Set this to true if you run vdirsyncer's test as part of e.g. packaging.
 export DETERMINISTIC_TESTS := false
+
+# Run the etesync testsuite.
 export ETESYNC_TESTS := false
 
-CODECOV_PATH = /tmp/codecov.sh
+# Assume to run in Travis. Don't use this outside of a virtual machine. It will
+# heavily "pollute" your system.
+export CI := false
 
+# Whether to generate coverage data while running tests.
+export COVERAGE := $(CI)
+
+# Additional arguments that should be passed to py.test.
 PYTEST_ARGS =
+
+# Variables below this line are not very interesting for getting started.
+
 TEST_EXTRA_PACKAGES =
 ifeq ($(COVERAGE), true)
 	TEST_EXTRA_PACKAGES += pytest-cov
@@ -22,6 +37,9 @@
 	TEST_EXTRA_PACKAGES += git+https://github.com/etesync/journal-manager
 	TEST_EXTRA_PACKAGES += django djangorestframework wsgi_intercept drf-nested-routers
 endif
+
+export TESTSERVER_BASE := ./tests/storage/servers/
+CODECOV_PATH = /tmp/codecov.sh
 
 ifeq ($(CI), true)
 test:
@@ -34,7 +52,7 @@
 	bash $(CODECOV_PATH) -c -F storage
 else
 test:
-	py.test $(PYTEST_ARGS)
+	py.test $(PYTEST_ARGS) tests/
 endif
 
 all:
@@ -42,7 +60,7 @@
 
 install-servers:
 	set -ex; \
-	for server in $(DAV_SERVER) $(REMOTESTORAGE_SERVER); do \
+	for server in $(DAV_SERVER); do \
 		if [ ! "$$(ls $(TESTSERVER_BASE)$$server/)" ]; then \
 			git submodule update --init -- "$(TESTSERVER_BASE)$$server"; \
 		fi; \
@@ -90,7 +108,6 @@
 
 install-dev:
 	pip install -e .
-	[ "$(REMOTESTORAGE_SERVER)" = "skip" ] || pip install -e .[remotestorage]
 	[ "$(ETESYNC_TESTS)" = "false" ] || pip install -e .[etesync]
 	set -xe && if [ "$(REQUIREMENTS)" = "devel" ]; then \
 	    pip install -U --force-reinstall \
