=== debian/changelog ===
vdirsyncer (0.16.2-4) unstable; urgency=medium

  * New upstream release
  * Fix lintian warning by removing extra license file
  * Require python-click-log >= 0.2.0

 -- Filip Pytloun <filip@pytloun.cz>  Wed, 06 Sep 2017 13:10:47 +0200
