=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-all,
                python3-atomicwrites (>= 0.1.7),
                python3-click (>= 5.0),
-               python3-click-log (>= 0.1.3),
+               python3-click-log (>= 0.2.0),
                python3-click-threading (>= 0.2),
                python3-hypothesis (>= 3.1),
                python3-lxml,
