=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import vdirsyncer; print(vdirsyncer)" ; done
Depends: python3-all, vdirsyncer

Test-Command: vdirsyncer --help
Depends: vdirsyncer
