## vdirsyncer 0.16.7

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,8 @@
 export ETESYNC_TESTS := false
 
 # Assume to run in Travis. Don't use this outside of a virtual machine. It will
-# heavily "pollute" your system.
+# heavily "pollute" your system, such as attempting to install a new Python
+# systemwide.
 export CI := false
 
 # Whether to generate coverage data while running tests.
@@ -28,6 +29,7 @@
 # Variables below this line are not very interesting for getting started.
 
 TEST_EXTRA_PACKAGES =
+
 ifeq ($(COVERAGE), true)
 	TEST_EXTRA_PACKAGES += pytest-cov
 	PYTEST_ARGS += --cov-config .coveragerc --cov vdirsyncer
@@ -38,21 +40,23 @@
 	TEST_EXTRA_PACKAGES += django djangorestframework wsgi_intercept drf-nested-routers
 endif
 
+PYTEST = py.test $(PYTEST_ARGS)
+
 export TESTSERVER_BASE := ./tests/storage/servers/
 CODECOV_PATH = /tmp/codecov.sh
 
 ifeq ($(CI), true)
 test:
 	curl -s https://codecov.io/bash > $(CODECOV_PATH)
-	py.test $(PYTEST_ARGS) tests/unit/
+	$(PYTEST) tests/unit/
 	bash $(CODECOV_PATH) -c -F unit
-	py.test $(PYTEST_ARGS) tests/system/
+	$(PYTEST) tests/system/
 	bash $(CODECOV_PATH) -c -F system
-	py.test $(PYTEST_ARGS) tests/storage/
+	$(PYTEST) tests/storage/
 	bash $(CODECOV_PATH) -c -F storage
 else
 test:
-	py.test $(PYTEST_ARGS) tests/
+	$(PYTEST)
 endif
 
 all:
@@ -68,8 +72,7 @@
 	done
 
 install-test: install-servers
-	(python --version | grep -vq 'Python 3.3') || pip install enum34
-	pip install -r test-requirements.txt
+	pip install -Ur test-requirements.txt
 	set -xe && if [ "$$REQUIREMENTS" = "devel" ]; then \
 		pip install -U --force-reinstall \
 			git+https://github.com/DRMacIver/hypothesis \
@@ -79,7 +82,7 @@
 	[ -z "$(TEST_EXTRA_PACKAGES)" ] || pip install $(TEST_EXTRA_PACKAGES)
 
 install-style: install-docs
-	pip install flake8 flake8-import-order flake8-bugbear>=17.3.0
+	pip install -U flake8 flake8-import-order 'flake8-bugbear>=17.3.0' autopep8
 	
 style:
 	flake8
@@ -92,13 +95,10 @@
 	python3 scripts/make_travisconf.py > .travis.yml
 
 install-docs:
-	pip install -r docs-requirements.txt
+	pip install -Ur docs-requirements.txt
 
 docs:
 	cd docs && make html
-
-sh:  # open subshell with default test config
-	$$SHELL;
 
 linkcheck:
 	sphinx-build -W -b linkcheck ./docs/ ./docs/_build/linkcheck/
@@ -106,9 +106,16 @@
 release:
 	python setup.py sdist bdist_wheel upload
 
+release-deb:
+	sh scripts/release-deb.sh debian jessie
+	sh scripts/release-deb.sh debian stretch
+	sh scripts/release-deb.sh ubuntu trusty
+	sh scripts/release-deb.sh ubuntu xenial
+	sh scripts/release-deb.sh ubuntu zesty
+
 install-dev:
 	pip install -e .
-	[ "$(ETESYNC_TESTS)" = "false" ] || pip install -e .[etesync]
+	[ "$(ETESYNC_TESTS)" = "false" ] || pip install -Ue .[etesync]
 	set -xe && if [ "$(REQUIREMENTS)" = "devel" ]; then \
 	    pip install -U --force-reinstall \
 			git+https://github.com/mitsuhiko/click \
@@ -116,6 +123,13 @@
 	elif [ "$(REQUIREMENTS)" = "minimal" ]; then \
 		pip install -U --force-reinstall $$(python setup.py --quiet minimal_requirements); \
 	fi
+
+install-git-hooks: install-style
+	echo "make style-autocorrect" > .git/hooks/pre-commit
+	chmod +x .git/hooks/pre-commit
+
+style-autocorrect:
+	git diff --cached --name-only | egrep '\.py$$' | xargs --no-run-if-empty autopep8 -ri
 
 ssh-submodule-urls:
 	git submodule foreach "\
