=== debian/changelog ===
vdirsyncer (0.16.7-2) unstable; urgency=medium

  * d/control: Fix FTBFS caused by missing comma in suggests

 -- Filip Pytloun <filip@pytloun.cz>  Tue, 22 Jan 2019 10:32:31 +0100

vdirsyncer (0.16.7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python3-Version field

  [ Filip Pytloun ]
  * New upstream release, Closes: #909996
  * d/control: VCS urls are now fixed, Closes: #917092
  * d/control: suggest vdirsyncer-doc, Closes: #902669
  * d/patches: Update patches
  * d/control: Bump standards version
  * d/compat: Bump debhelper version

 -- Filip Pytloun <filip@pytloun.cz>  Tue, 27 Feb 2018 21:11:19 +0100
