=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Filip Pytloun <filip@pytloun.cz>, Jelmer Vernooĳ <jelmer@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 12),
                dh-exec,
                dh-python (>= 2.20160609~),
                python3-all,
@@ -21,16 +21,15 @@
                python3-setuptools-scm,
                python3-sphinx,
                python3-sphinx-rtd-theme
-Standards-Version: 4.0.0
-X-Python3-Version: >= 3.3
+Standards-Version: 4.3.0
 Homepage: https://github.com/pimutils/vdirsyncer
-Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/vdirsyncer/trunk/
-Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/vdirsyncer/trunk/
+Vcs-Git: https://salsa.debian.org/python-team/applications/vdirsyncer.git
+Vcs-Browser: https://salsa.debian.org/python-team/applications/vdirsyncer
 
 Package: vdirsyncer
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
-Suggests: python3-requests-oauthlib
+Suggests: python3-requests-oauthlib, vdirsyncer-doc
 Description: Synchronize calendars and contacts
  Vdirsyncer synchronizes your calendars and addressbooks between two storages.
  The most popular purpose is to synchronize a CalDAV/CardDAV server with a local
