=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 	dh_sphinxdoc -O--buildsystem=python_distutils
 	# Remove unwanted license file, we already reference d/copyright
 	rm -f $(CURDIR)/debian/vdirsyncer-doc/usr/share/doc/vdirsyncer-doc/html/_sources/license.txt
+	rm -f $(CURDIR)/debian/vdirsyncer-doc/usr/share/doc/vdirsyncer-doc/html/_sources/license.rst.txt
 endif
 
 override_dh_auto_test:
