## vdirsyncer 0.16.8

=== Makefile ===
--- 
+++ 
@@ -36,8 +36,8 @@
 endif
 
 ifeq ($(ETESYNC_TESTS), true)
-	TEST_EXTRA_PACKAGES += git+https://github.com/etesync/journal-manager
-	TEST_EXTRA_PACKAGES += django djangorestframework wsgi_intercept drf-nested-routers
+	TEST_EXTRA_PACKAGES += git+https://github.com/etesync/journal-manager@v0.5.2
+	TEST_EXTRA_PACKAGES += django djangorestframework==3.8.2 wsgi_intercept drf-nested-routers
 endif
 
 PYTEST = py.test $(PYTEST_ARGS)
@@ -46,14 +46,17 @@
 CODECOV_PATH = /tmp/codecov.sh
 
 ifeq ($(CI), true)
+test-storage:
+	curl -s https://codecov.io/bash > $(CODECOV_PATH)
+	$(PYTEST) tests/storage/
+	bash $(CODECOV_PATH) -c -F storage
 test:
 	curl -s https://codecov.io/bash > $(CODECOV_PATH)
 	$(PYTEST) tests/unit/
 	bash $(CODECOV_PATH) -c -F unit
 	$(PYTEST) tests/system/
 	bash $(CODECOV_PATH) -c -F system
-	$(PYTEST) tests/storage/
-	bash $(CODECOV_PATH) -c -F storage
+	[ "$(ETESYNC_TESTS)" = "false" ] || make test-storage
 else
 test:
 	$(PYTEST)
@@ -71,7 +74,7 @@
 		(cd $(TESTSERVER_BASE)$$server && sh install.sh); \
 	done
 
-install-test: install-servers
+install-test: install-servers install-dev
 	pip install -Ur test-requirements.txt
 	set -xe && if [ "$$REQUIREMENTS" = "devel" ]; then \
 		pip install -U --force-reinstall \
@@ -81,18 +84,18 @@
 	fi
 	[ -z "$(TEST_EXTRA_PACKAGES)" ] || pip install $(TEST_EXTRA_PACKAGES)
 
-install-style: install-docs
-	pip install -U flake8 flake8-import-order 'flake8-bugbear>=17.3.0' autopep8
-	
+install-test-storage: install-test
+	# This is just an alias
+	true
+
+install-style: install-docs install-dev
+	pip install pre-commit
+
 style:
-	flake8
+	pre-commit run --all
 	! git grep -i syncroniz */*
 	! git grep -i 'text/icalendar' */*
 	sphinx-build -W -b html ./docs/ ./docs/_build/html/
-	python3 scripts/make_travisconf.py | diff -b .travis.yml -
-
-travis-conf:
-	python3 scripts/make_travisconf.py > .travis.yml
 
 install-docs:
 	pip install -Ur docs-requirements.txt
@@ -114,6 +117,7 @@
 	sh scripts/release-deb.sh ubuntu zesty
 
 install-dev:
+	pip install -U pip setuptools wheel
 	pip install -e .
 	[ "$(ETESYNC_TESTS)" = "false" ] || pip install -Ue .[etesync]
 	set -xe && if [ "$(REQUIREMENTS)" = "devel" ]; then \
@@ -124,13 +128,6 @@
 		pip install -U --force-reinstall $$(python setup.py --quiet minimal_requirements); \
 	fi
 
-install-git-hooks: install-style
-	echo "make style-autocorrect" > .git/hooks/pre-commit
-	chmod +x .git/hooks/pre-commit
-
-style-autocorrect:
-	git diff --cached --name-only | egrep '\.py$$' | xargs --no-run-if-empty autopep8 -ri
-
 ssh-submodule-urls:
 	git submodule foreach "\
 		echo -n 'Old: '; \
