=== debian/changelog ===
vdirsyncer (0.16.8-2) unstable; urgency=medium

  * Team upload.
  * The test_metadata_normalization sometime fails to run under 200ms which
    prevent the test suite from succeeding, while there isn't an actual
    failure. Disabling deadlines for hypothesis tests.
  * Run actual test suite instead of superficial tests for autopkgtest

 -- Baptiste Beauplat <lyknode@cilg.org>  Tue, 23 Feb 2021 19:05:29 +0100

vdirsyncer (0.16.8-1) unstable; urgency=medium

  * Team Upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Baptiste Beauplat ]
  * New upstream release 0.16.8:
    - Don't use setuptools_scm with sphinx (Closes: #951948)
  * Ignore modification on version.py (re-generated for every version)
  * Rediff patches (renumbered)
  * Add patch to replace deprecated getiterator() by python3.9 compatible
    iter() (Closes: #975494)
  * Fix quoting in verbosity value test
  * Bump debhelper-compat to 13
  * Bump Standard-Version to 4.5.1
  * Set Rules-Requires-Root: no in d/control
  * Update watch file:
    - Use version 4
    - Correctly handle pre-releases versions
  * Remove built docs on cleanup
  * Rename source TODO.Debian to TODO
  * Add user systemd service and timer (Closes: #925538)
  * Add upstream metadata
  * Add Salsa CI pipeline

  [ Mattia Rizzolo ]
  * Rename d/{docs,install,manapges} to d/vdirsyncer.{docs,install.manpages},
    for better clarity.

 -- Baptiste Beauplat <lyknode@cilg.org>  Fri, 22 Jan 2021 11:44:09 +0100
