=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: vdirsyncer
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Filip Pytloun <filip@pytloun.cz>, Jelmer Vernooĳ <jelmer@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-python (>= 2.20160609~),
                python3-all,
@@ -21,10 +21,11 @@
                python3-setuptools-scm,
                python3-sphinx,
                python3-sphinx-rtd-theme
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/pimutils/vdirsyncer
-Vcs-Git: https://salsa.debian.org/python-team/applications/vdirsyncer.git
-Vcs-Browser: https://salsa.debian.org/python-team/applications/vdirsyncer
+Vcs-Git: https://salsa.debian.org/python-team/packages/vdirsyncer.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/vdirsyncer
+Rules-Requires-Root: no
 
 Package: vdirsyncer
 Architecture: all
