=== debian/rules ===
--- 
+++ 
@@ -30,3 +30,6 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG.rst
+
+override_dh_installsystemduser:
+	dh_installsystemduser --no-enable
