=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do python3 -m pytest tests/; done
Depends: python3-pytest,
         python3-pytest-localserver,
         python3-hypothesis,
         vdirsyncer
