=== debian/changelog ===
vdirsyncer (0.18.0-6) unstable; urgency=medium

  * avoid checking flaky test test_fuzzing;
    closes: bug#1005968, thanks to Luca Boccassi
  * update copyright info: update coverage
  * modernize build rules;
    build-depend on dh-sequence-python3 dh-sequence-sphinxdoc
    pybuild-plugin-pyproject (not dh-python)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 22 Feb 2022 23:34:53 +0100

vdirsyncer (0.18.0-5) unstable; urgency=medium

  * fix autopkgtest check with non-default python
    (not repeatedly with default python)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Dec 2021 09:00:57 +0100

vdirsyncer (0.18.0-4) unstable; urgency=medium

  * really fix copy auto-generated version.py for autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 07 Dec 2021 01:36:47 +0100

vdirsyncer (0.18.0-3) unstable; urgency=medium

  * fix copy auto-generated version.py for autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Dec 2021 18:07:42 +0100

vdirsyncer (0.18.0-2) unstable; urgency=medium

  * fix have autopkgtest depend on python3-pytest-cov

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Dec 2021 23:00:11 +0100

vdirsyncer (0.18.0-1) unstable; urgency=medium

  [ upstream ]
  * new release
    + several improvements to testsuite;
      closes: bug#994119, #997497,
      thanks to Benedikt Tuchen and Lucas Nussbaum

  [ Jonas Smedegaard ]
  * add myself as uploader
  * update git-buildpackage config:
    + enable pristine-tar
    + enable signed tags
    + filter-out any .git* file
    + use DEP14 branches debian/latest and upstream/latest
  * update watch file:
    + track Github source
    + mangle upstream prerelease versions
    + add usage comment
  * drop patches 1 4 5 8,
    seemingly obsoleted by upstream testsuite improvements
  * drop patches 6 7, adopted upstream
  * tighten, update and renumber remaining patches,
    and add debian/patches/README file
    documenting patch numbering micro-policy
  * add source helper script copyright-check
  * update copyright info:
    + update coverage
    + license my contributions as GPL-3+
    + add related lintian overrides
  * add patch 2002 to relax dependency on Python module click-log
  * tighten build-dependencies
    on python3-click python3-click-threading python3-requests
  * declare compliance with Debian Policy 4.6.0
  * cleanup autogenerated version file
  * fix use debhelper buildsystem pybuild
    (not accidentally makefile)
  * build-depend on python3-pytest-cov
  * avoid installing misplaced .coverage files

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Dec 2021 04:00:56 +0100

vdirsyncer (0.16.8-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on dh-python.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 22 Aug 2021 03:37:19 +0100
