=== debian/control ===
Source: vdirsyncer
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Filip Pytloun <filip@pytloun.cz>,
 Jelmer Vernooĳ <jelmer@debian.org>,
 Jonas Smedegaard <dr@jones.dk>,
Section: utils
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 pybuild-plugin-pyproject,
 python3-all,
 python3-atomicwrites (>= 0.1.7),
 python3-click (>= 5.0),
 python3-click (<< 9),
 python3-click-log (>= 0.2.0),
 python3-click-threading (>= 0.5),
 python3-hypothesis (>= 3.1),
 python3-lxml,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-localserver,
 python3-requests (>= 2.20.0),
 python3-requests-toolbelt (>= 0.4.0),
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.6.0
Homepage: https://github.com/pimutils/vdirsyncer
Vcs-Git: https://salsa.debian.org/python-team/packages/vdirsyncer.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/vdirsyncer
Rules-Requires-Root: no

Package: vdirsyncer
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-requests-oauthlib,
 vdirsyncer-doc,
Description: Synchronize calendars and contacts
 Vdirsyncer synchronizes your calendars and addressbooks between two storages.
 The most popular purpose is to synchronize a CalDAV/CardDAV server with a local
 folder or file. The local data can then be accessed via a variety of programs,
 none of which have to know or worry about syncing to a server.
 .
 It aims to be for CalDAV and CardDAV what OfflineIMAP is for IMAP.

Package: vdirsyncer-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Synchronize calendars and contacts - documentation
 Vdirsyncer synchronizes your calendars and addressbooks between two storages.
 The most popular purpose is to synchronize a CalDAV/CardDAV server with a local
 folder or file. The local data can then be accessed via a variety of programs,
 none of which have to know or worry about syncing to a server.
 .
 It aims to be for CalDAV and CardDAV what OfflineIMAP is for IMAP.
 .
 This package contains the documentation for vdirsyncer.
