=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,9 @@
 export PYBUILD_DESTDIR_python3=debian/vdirsyncer
 export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/.hypothesis'
 export PYBUILD_NAME=vdirsyncer
-%:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+export PYBUILD_TEST_ARGS = -k 'not test_fuzzing'
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 	PYTHONPATH=$(CURDIR) make -C docs man SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build
 
 override_dh_sphinxdoc:
@@ -25,11 +23,16 @@
 	CI=false \
 	REMOTESTORAGE_SERVER=skip \
 	DAV_SERVER=skip \
-	RADICALE_BACNEND=filesystem \
-	dh_auto_test
+	dh_auto_test --buildsystem=pybuild
+
+execute_after_dh_auto_install:
+	find debian -type f -name .coverage -delete
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG.rst
 
 override_dh_installsystemduser:
 	dh_installsystemduser --no-enable
+
+%:
+	dh $@ --buildsystem=pybuild
