## vdirsyncer 0.19.0

=== Makefile ===
--- 
+++ 
@@ -11,9 +11,6 @@
 
 # Set this to true if you run vdirsyncer's test as part of e.g. packaging.
 export DETERMINISTIC_TESTS := false
-
-# Run the etesync testsuite.
-export ETESYNC_TESTS := false
 
 # Assume to run in CI. Don't use this outside of a virtual machine. It will
 # heavily "pollute" your system, such as attempting to install a new Python
@@ -30,11 +27,6 @@
 
 TEST_EXTRA_PACKAGES =
 
-ifeq ($(ETESYNC_TESTS), true)
-	TEST_EXTRA_PACKAGES += git+https://github.com/etesync/journal-manager@v0.5.2
-	TEST_EXTRA_PACKAGES += django djangorestframework==3.8.2 wsgi_intercept drf-nested-routers
-endif
-
 PYTEST = py.test $(PYTEST_ARGS)
 CODECOV_PATH = /tmp/codecov.sh
 
@@ -43,19 +35,16 @@
 
 ci-test:
 	curl -s https://codecov.io/bash > $(CODECOV_PATH)
-	$(PYTEST) tests/unit/
-	bash $(CODECOV_PATH) -c -F unit
-	$(PYTEST) tests/system/
-	bash $(CODECOV_PATH) -c -F system
-	[ "$(ETESYNC_TESTS)" = "false" ] || make test-storage
+	$(PYTEST) --cov vdirsyncer --cov-append tests/unit/ tests/system/
+	bash $(CODECOV_PATH) -c
 
 ci-test-storage:
 	curl -s https://codecov.io/bash > $(CODECOV_PATH)
 	set -ex; \
 	for server in $(DAV_SERVER); do \
-		DAV_SERVER=$$server $(PYTEST) --cov-append tests/storage; \
+		DAV_SERVER=$$server $(PYTEST) --cov vdirsyncer --cov-append tests/storage; \
 	done
-	bash $(CODECOV_PATH) -c -F storage
+	bash $(CODECOV_PATH) -c
 
 test:
 	$(PYTEST)
@@ -85,7 +74,6 @@
 	pip install -e .
 	pip install -Ur test-requirements.txt $(TEST_EXTRA_PACKAGES)
 	pip install pre-commit
-	[ "$(ETESYNC_TESTS)" = "false" ] || pip install -Ue .[etesync]
 	set -xe && if [ "$(REQUIREMENTS)" = "minimal" ]; then \
 		pip install -U --force-reinstall $$(python setup.py --quiet minimal_requirements); \
 	fi
