=== debian/changelog ===
vdirsyncer (0.19.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Debian Janitor ]
  * relax to build-depend unversioned on
    python3-atomicwrites python3-click python3-click-log
    python3-hypothesis, python3-requests python3-requests-toolbelt

  [ Jonas Smedegaard ]
  * update watch file: handle beta releases
  * update and unfuzz patches
  * update copyright info: update coverage
  * add NEWS section,
    covering changes to TLS configuration and storage plugin "google"
  * build- and autopkgtest-depend on
    python3-aioresponses python3-pytest-asyncio
    python3-pytest-httpserver python3-trustme
    (not python3-pytest-localserver);
    build-depend on python3-aiohttp python3-aiostream
    (not python3-click-threading);
    suggest python3-aiohttp-oauthlib
    (not python3-requests-oauthlib)
  * declare compliance with Debian Policy 4.6.2
  * annotate test-only build-dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Dec 2022 15:00:08 +0100

vdirsyncer (0.18.0-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 11:05:30 +0200

vdirsyncer (0.18.0-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * add python3-all dependency to d/tests/control: the test is written
    so it iterates over all python3 versions but does not depend on
    all pythons. Closes: #1009204

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 18 Apr 2022 17:39:33 +0300
