## vdirsyncer 0.19.2

=== debian/changelog ===
vdirsyncer (0.19.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 21 Jul 2023 10:08:10 +0200

vdirsyncer (0.19.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 27 Jun 2023 20:13:45 +0200
