=== debian/changelog ===
vdirsyncer (0.19.3-5) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Aug 2025 15:10:18 +0200

vdirsyncer (0.19.3-4) experimental; urgency=medium

  * add patches proposed upstream:
    + accept newer branch of module aiostream
    + fix HealthCheck.all() deprecation warnings
  * renumber patch and tighten DEP-3 patch headers

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 30 Jun 2025 07:26:37 +0200

vdirsyncer (0.19.3-3) unstable; urgency=medium

  * Team upload.
  * Remove reference to defunct `python_distutils` d/rules (Closes: #1092759)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 23 Feb 2025 15:15:37 +0100

vdirsyncer (0.19.3-2) unstable; urgency=medium

  * Team upload.
  * Fix _Component.__delitem__ with adjacent identical keys
    (Closes: #1088043).

 -- Colin Watson <cjwatson@debian.org>  Sat, 21 Dec 2024 21:09:37 +0000

vdirsyncer (0.19.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tolerate warnings in autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Oct 2024 03:51:06 +0100
