=== debian/control ===
--- 
+++ 
@@ -12,24 +12,28 @@
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
  pybuild-plugin-pyproject,
+ python3-aiohttp (>= 3.8),
+ python3-aioresponses <!nocheck>,
+ python3-aiostream (>= 0.4.3),
  python3-all,
- python3-atomicwrites (>= 0.1.7),
- python3-click (>= 5.0),
+ python3-atomicwrites,
+ python3-click,
  python3-click (<< 9),
- python3-click-log (>= 0.2.0),
- python3-click-threading (>= 0.5),
- python3-hypothesis (>= 3.1),
+ python3-click-log,
+ python3-hypothesis <!nocheck>,
  python3-lxml,
- python3-pytest,
- python3-pytest-cov,
- python3-pytest-localserver,
- python3-requests (>= 2.20.0),
- python3-requests-toolbelt (>= 0.4.0),
+ python3-pytest <!nocheck>,
+ python3-pytest-asyncio <!nocheck>,
+ python3-pytest-cov <!nocheck>,
+ python3-pytest-httpserver <!nocheck>,
+ python3-requests,
+ python3-requests-toolbelt,
  python3-setuptools,
  python3-setuptools-scm,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.0
+ python3-trustme <!nocheck>,
+Standards-Version: 4.6.2
 Homepage: https://github.com/pimutils/vdirsyncer
 Vcs-Git: https://salsa.debian.org/python-team/packages/vdirsyncer.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/vdirsyncer
@@ -41,7 +45,7 @@
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
- python3-requests-oauthlib,
+ python3-aiohttp-oauthlib,
  vdirsyncer-doc,
 Description: Synchronize calendars and contacts
  Vdirsyncer synchronizes your calendars and addressbooks between two storages.
@@ -57,6 +61,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: Synchronize calendars and contacts - documentation
  Vdirsyncer synchronizes your calendars and addressbooks between two storages.
  The most popular purpose is to synchronize a CalDAV/CardDAV server with a local
